#include <LiquidCrystal.h>
#include <EasyTransfer.h>

//create object
EasyTransfer ET; 

struct RECEIVE_DATA_STRUCTURE{
  int accx,accy,joyX,joyY;
  int potReading;
  int buttonLReading, buttonCReading, buttonRReading;
  int x;
};

RECEIVE_DATA_STRUCTURE mydata;
LiquidCrystal lcd(11, 12, 5, 4, 3, 2);
#define backlight 9


void setup(){
  pinMode(backlight, OUTPUT);
  analogWrite(backlight, 200);
  
  lcd.begin(16,2);
  Serial.begin(115200);
  ET.begin(details(mydata), &Serial);

}

void loop(){
  
 if(ET.receiveData()){
   //delay(1000);
 }
 

  if(mydata.x==0){
    lcd.setCursor(0,0);
    lcd.print("aX: ");
    lcd.setCursor(4,0);
    lcd.print(mydata.accx);
  
    lcd.setCursor(8,0);
    lcd.print("aY: ");
    lcd.setCursor(12,0);
    lcd.print(mydata.accy);
  
    lcd.setCursor(0,1);
    lcd.print("jX: ");
    lcd.setCursor(4,1);
    lcd.print(mydata.joyX);
  
    lcd.setCursor(8,1);
    lcd.print("jY: ");
    lcd.setCursor(12,1);
    lcd.print(mydata.joyY);
    
    delay(70);
    lcd.clear();
  }
  
  if(mydata.x==1){
    lcd.clear();
    lcd.setCursor(0,0);
    lcd.print("bl: ");
    lcd.setCursor(4,0);
    lcd.print(mydata.buttonLReading);
  
    lcd.setCursor(8,0);
    lcd.print("bc: ");
    lcd.setCursor(12,0);
    lcd.print(mydata.buttonCReading);
  
    lcd.setCursor(0,1);
    lcd.print("br: ");
    lcd.setCursor(4,1);
    lcd.print(mydata.buttonRReading);
  
    lcd.setCursor(8,1);
    lcd.print("po: ");
    lcd.setCursor(12,1);
    lcd.print(mydata.potReading);
    int light = map(mydata.potReading,0,1024,0,255);
    analogWrite(backlight,light);
    delay(70);
  }       

}

